/*
 * monitor.h - Monitor - monitors traffic
 * 
 * Written by Michael "Mr. Sump" Poppitz.
 *
 */

 /***************************************************************************
  *                                                                         *
  *   This program is free software; you can redistribute it and/or modify  *
  *   it under the terms of the GNU General Public License as published by  *
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
  ***************************************************************************/

#ifndef MONITOR_H
#define MONITOR_H

#include "packet.h"

class Monitor {
	public:
		Monitor(void);
		~Monitor(void);

		void display(Packet *pa);

	private:
		unsigned char raw2disp[0x100];
		void displayText(Packet *pa);
};

#endif
